uniform mat4 texMat;
varying vec4 projCoord;
varying vec3 Normal;

void main()
{
	//Phong
	Normal = normalize(gl_NormalMatrix * gl_Normal);
	
	vec4 realPos = gl_ModelViewMatrix * gl_Vertex;
	//vec4 realPos = gl_ModelViewProjectionMatrix * gl_Vertex;
  
	//projCoord = gl_TextureMatrix[0] * realPos;
	projCoord = texMat*realPos;
	gl_FrontColor = gl_Color;

	gl_Position = ftransform();
	gl_TexCoord[0]=gl_MultiTexCoord0;
}